%define module	XML-RSS
%define name	perl-%{module}
%define version 1.22
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Creates and updates RSS files
License:	GPL
Group:		Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	perl(Test::Manifest)
BuildRequires:  perl(DateTime::Format::W3CDTF)
BuildRequires:  perl(DateTime::Format::Mail)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(HTML::Entities)
BuildArch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
Creates and updates RSS files.
This module supports versions 0.9, 0.91 and 1.0 of RSS.

%prep
%setup -q -n %{module}-%{version}
chmod ogu-x README Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/XML


%changelog
* Sat Jan 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.22-1mdv2007.0
+ Revision: 104840
- 1.22

* Wed Jan 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.21-1mdv2007.1
+ Revision: 103642
- fix build dependencies
- fix build dependencies

  + Olivier Thauvin <nanardon@mandriva.org>
    - 1.21
    - Import perl-XML-RSS



* Thu Mar 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.10-1mdk
- 1.10

* Mon Oct 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.05-2mdk
- Rebuild, fix URL, change description, add tests

* Mon Aug 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.05-1mdk
- 1.05
- Update description

* Wed Apr 21 2004 Michael Scherer <misc@mandrake.org> 1.04-1mdk
- New release 1.04
- [DIRM]

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.02-3mdk
- rebuild for new perl
- drop Prefix tag
- drop Distribution tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.02-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 18 2003 Franois Pons <fpons@mandrakesoft.com> 1.02-1mdk
- 1.02.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 0.97-3mdk
- rebuild for perl 5.8.0

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.97-2mdk
- BuildRequires: perl-devel perl-XML-Parser

* Fri Jun 22 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.97-1mdk
- 0.97.
- Fixed distribution tag.
- clean SPEC.
- changed description, more explicit.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9-3mdk
- Rebuild for the latest perl.
- Remove the Distribution and Vendor tag.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9-2mdk
- BuildArch: noarch
- add docs
- rename spec file
- clean up spec a bit
- fix build

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.9-1mdk
- First Mandrake release
- Needed for eGrail
